package com.gx.obe.management.action;

import org.eclipse.swt.SWT;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.WasteBidProjectComposite;

/**
 * @Description: 项目流标
 * @author guoyr
 */
public class WasteBidProjectAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		
		WasteBidProjectComposite composite = new WasteBidProjectComposite(listener.getParentComposite(), this, SWT.NONE);
		listener.loadComposite(this, composite);
	}

}
